#ifndef MARS_MHRanForestGini
#define MARS_MHRanForestGini

#ifndef MARS_MH
#include "MH.h"
#endif

#ifndef TArrayF
#include "TArrayF.h"
#endif

class TH1D;
class TGraph;
class MParList;
class MMcEvt;
class MRanForest;

class MHRanForestGini : public MH
{
private:
    const MMcEvt *fMcEvt;
    const MRanForest *fRanForest;

    TArrayF fGini;
    TGraph *fGraphGini;

public:
    MHRanForestGini(Int_t nbins=100, const char *name=NULL, const char *title=NULL);
    ~MHRanForestGini();

    TGraph *GetGrphGini() const  { return fGraphGini; }

    Bool_t SetupFill(const MParList *plist);
    Bool_t Fill(const MParContainer *par);
    Bool_t Finalize();

    void Print(Option_t *option="") const;

    void Draw(Option_t *opt="");
    TObject *DrawClone(Option_t *opt="") const;

    ClassDef(MHRanForestGini, 1)
};

#endif
